#
# spec file for package python-PyAutoGUI
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-PyAutoGUI
Version:        0.9.54
Release:        1.6
Summary:        A Python module for GUI automation that can control the keyboard and mouse
License:        BSD-3-Clause
URL:            https://github.com/asweigart/pyautogui
Source:         https://files.pythonhosted.org/packages/source/P/PyAutoGUI/PyAutoGUI-%{version}.tar.gz
Source99:       https://raw.githubusercontent.com/asweigart/pyautogui/master/LICENSE.txt
BuildRequires:  %{python_module python-xlib}
BuildRequires:  %{python_module setuptools}
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Pillow
Requires:       python-PyMsgBox
Requires:       python-PyScreeze
Requires:       python-PyTweening >= 1.0.1
Requires:       python-python-xlib
BuildArch:      noarch
%python_subpackages

%description
PyAutoGUI is a GUI automation Python module. It can be used to
programmatically control the mouse and keyboard.

%prep
%setup -q -n PyAutoGUI-%{version}
cp %{SOURCE99} .
# pyautogui can't be imported without a DISPLAY, so we force the version on setup.py
sed -i -e "s/version=__import__('pyautogui').__version__,/version='%{version}',/" setup.py
dos2unix README.md

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Wed Dec 27 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.54:
  * package metadata and testsuite fixes
* Thu Sep 22 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- v0.9.53
  - - Fixed a compatibility issue with the pystray module.
- 0.9.52
  - - Fixed hotkey() to work with PAUSE.
- v0.9.51
  - - Added the hold() context manager, several bug fixes for mac mouse functions.
- v0.9.50
  - - The 0.9.49 changes were incredibly buggy and have been reverted.
- v0.9.49
  - - Migrated from Quartz to Rubicon
- v0.9.46
  - - Added mouseinfo module.
- v0.9.45
  - - Added left-click, made mouse buttons more explicit and fixed it so that the right mouse button is 2 and middle mouse button is 3.
    Added failsafe points in all corners. Added screenshot logging. Fixed _autoPause().
- v0.9.44
  - - Adding ability to pass 4-integer box tuples to click() and other functions.
- v0.9.43
  - - Renamed getFocusedWindow to getActiveWindow to keep it up to date with pygetwindow.
- v0.9.40
  - - Created FAILSAFE_POINT constant instead of hard coding (0, 0), add move(), drag(), write() names. Adding PyGetWindow.
- v0.9.39
  - - Added tox and fixed setup.py for Python 2 compatibility.
- v0.9.38
  - - Removing non-ascii characters from readme because it causes failures when displaying on Windows.
- v0.9.37
  - - Updating setup.py
- v0.9.36
  - - Fixed Windows XP problem with the DPI scaling API call.
* Thu Nov  7 2019 Matej Cepl <mcepl@suse.com>
- Run through spec-cleaner
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Mar  6 2018 alarrosa@suse.com
- Added missing requires python-python-xlib
* Mon Mar  5 2018 jengelh@inai.de
- Trim filler wording from description.
* Mon Mar  5 2018 alarrosa@suse.com
- Initial release of python-PyAutoGUI 0.9.36
